Create a list
curl --request POST \
--url https://api.domo.com/v1/projects/{PROJECT_ID}/lists \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Needs Validation",
"type": "TODO",
"index": 3
}
'import requests
url = "https://api.domo.com/v1/projects/{PROJECT_ID}/lists"
payload = {
"name": "Needs Validation",
"type": "TODO",
"index": 3
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Needs Validation', type: 'TODO', index: 3})
};
fetch('https://api.domo.com/v1/projects/{PROJECT_ID}/lists', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "13",
"name": "Needs Validation",
"type": "TODO",
"index": 3
}Projects and Tasks API
Create a list
Creates a new list within the given project id.
POST
/
v1
/
projects
/
{PROJECT_ID}
/
lists
Create a list
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the project
Query Parameters
The name of the List
The type of List (i.e. TODO, WORKING_ON, COMPLETED)
The ordered index of the list within the project. Setting this property will re-order other lists in the project to maintain sequential order. Leaving this property blank will default the index to 1 and shift the index of all other lists.
⌘I